com.amazonaws.services.workspaces.model

## Enum WorkspaceState

- java.lang.Object
- - java.lang.Enum<WorkspaceState>
  - - com.amazonaws.services.workspaces.model.WorkspaceState

All Implemented Interfaces:
  Serializable, Comparable<WorkspaceState>

    public enum WorkspaceState
    extends Enum<WorkspaceState>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`AVAILABLE`
`ERROR`
`IMPAIRED`
`MAINTENANCE`
`PENDING`
`REBOOTING`
`REBUILDING`
`STARTING`
`STOPPED`
`STOPPING`
`SUSPENDED`
`TERMINATED`
`TERMINATING`
`UNHEALTHY`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static WorkspaceState` `fromValue(String value)` Use this in place of valueOf.
`String` `toString()`
`static WorkspaceState` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static WorkspaceState[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### PENDING

    public static final WorkspaceState PENDING

#### AVAILABLE

    public static final WorkspaceState AVAILABLE

#### IMPAIRED

    public static final WorkspaceState IMPAIRED

#### UNHEALTHY

    public static final WorkspaceState UNHEALTHY

#### REBOOTING

    public static final WorkspaceState REBOOTING

#### STARTING

    public static final WorkspaceState STARTING

#### REBUILDING

    public static final WorkspaceState REBUILDING

#### MAINTENANCE

    public static final WorkspaceState MAINTENANCE

#### TERMINATING

    public static final WorkspaceState TERMINATING

#### TERMINATED

    public static final WorkspaceState TERMINATED

#### SUSPENDED

    public static final WorkspaceState SUSPENDED

#### STOPPING

    public static final WorkspaceState STOPPING

#### STOPPED

    public static final WorkspaceState STOPPED

#### ERROR

    public static final WorkspaceState ERROR

### Method Detail

#### values

    public static WorkspaceState[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (WorkspaceState c : WorkspaceState.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static WorkspaceState valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<WorkspaceState>`

#### fromValue

    public static WorkspaceState fromValue(String value)

Use this in place of valueOf.

Parameters:
  `value` - real value
Returns:
  WorkspaceState corresponding to the value